version: "3.5"

networks:
  default:
    name: "${DOCKER_NETWORK_NAME:-nopaque_default}"

services:
  db:
    env_file: db.env
    image: postgres:11
    restart: unless-stopped
    volumes:
      - "${HOST_DATA_DIR:-./data}/db:/var/lib/postgresql/data"

  mq:
    image: redis:6
    restart: unless-stopped
    volumes:
      - "${HOST_DATA_DIR:-./data}/mq:/data"

  nopaque:
    build:
      args:
        DOCKER_GID: ${HOST_DOCKER_GID}
        GID: ${HOST_GID}
        UID: ${HOST_UID}
      context: .
    depends_on:
      - db
      - mq
    env_file: .env
    image: nopaque:latest
    restart: unless-stopped
    volumes:
      - "/var/run/docker.sock:/var/run/docker.sock"
      - "${NOPAQUE_DATA_DIR:-/mnt/nopaque}:${NOPAQUE_DATA_DIR:-/mnt/nopaque}"
      - "${HOST_LOG_DIR-./logs}:${NOPAQUE_LOG_DIR:-/home/nopaque/logs}"
